/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; see the file COPYING.LIB.  If
 * not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite
 * 330, Boston, MA  02111-1307, USA.
 */

/* Required to tell conf.h not to include the standard ProFTPD
 * header files
 */

#if !defined(CFG_SNPRINTF_H)

#define CFG_SNPRINTF_H

#if defined(MEMWATCH)
#  include <memwatch.h>
#endif

#if defined(MPATROL)
#  include <mpatrol.h>
#endif

/**************************************************************/
#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/**************************************************************/
/* this is for siesta/CaRT compatibility */
#if defined(RIO806X)

int CfgVasprintf(char **ptr, const char *format, va_list ap);
int CfgAsprintf (char **ptr, const char *format, ...);
int CfgVsnprintf(char *buf, size_t size, const char *fmt, va_list args);
int CfgSnprintf (char *buf, size_t size, const char *fmt, ...);
#  define vasprintf CfgVasprintf 
#  define  asprintf CfgAsprintf 
#  define vsnprintf CfgVsnprintf
#  define  snprintf CfgSnprintf

#else /* RIO806X */

#  define CfgVasprintf vasprintf
#  define CfgAsprintf  asprintf
#  define CfgVsnprintf vsnprintf
#  define CfgSnprintf  snprintf

#endif /* RIO806X */

/**************************************************************/
#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* CFG_SNPRINTF_H */
